ImageControl

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.client
Class ImageControl

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      org.openswing.swing.client.BaseInputControl
                          org.openswing.swing.client.ImageControl

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, InputControl, java.awt.MenuContainer, java.io.Serializable

public class ImageControl
extends BaseInputControl
implements InputControl

Title: OpenSwing Framework

Description: Input Control used to show an image or to set an image.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary
`static boolean` | `showPreview` flag used to show the preview of the image in ImageControl and Image Column components; default value: `ClientSettings.SHOW_PREVIEW_OF_IMAGE`

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ImageControl()`

Method Summary
`void` | `addActionListener(java.awt.event.ActionListener listener)` Add an action listener to the selection button.
`javax.swing.JComponent` | `getBindingComponent()`
`javax.swing.filechooser.FileFilter` | `getFileFilter()`
`byte[]` | `getImage()` Set the image from a byte[].
`int` | `getImageHeight()`
`int` | `getImageWidth()`
`int` | `getScrollBarsPolicy()`
`java.lang.Object` | `getValue()`
`boolean` | `isAutoResize()`
`boolean` | `isEnabled()`
`boolean` | `isShowButton()`
`boolean` | `isShowPreview()`
`void` | `removeActionListener(java.awt.event.ActionListener listener)` Remove an action listener from the selection button.
`void` | `setAutoResize(boolean autoResize)` Define if the image panel could auto-resize or it must autosize to width x height.
`void` | `setEnabled(boolean enabled)` Replace enabled setting with editable setting (this allow tab swithing).
`void` | `setFileFilter(javax.swing.filechooser.FileFilter fileFilter)` Set the file filter used to filter image file selection from select button.
`void` | `setImage(byte[] image)` Set the image from a byte[].
`void` | `setImage(java.awt.Image image)` Set the image from a byte[].
`void` | `setImageHeight(int imageHeight)` Set image panel height.
`void` | `setImageWidth(int imageWidth)` Set image panel width.
`void` | `setScrollBarsPolicy(int policy)` Determines when the scrollbars appears in the scrollpane.
`void` | `setShowButton(boolean showButton)` Define if an image selection button must be showed.
`void` | `setShowPreview(boolean showPreview)` Define if showing the preview of the image in ImageControl and Image Column components; default value: `ClientSettings.SHOW_PREVIEW_OF_IMAGE`
`void` | `setValue(java.lang.Object value)` Set value to the input control.

Methods inherited from class org.openswing.swing.client.BaseInputControl
`addValueChangedListener, getAttributeName, getFont, getLinkLabel, getTextAlignment, getToolTipText, getValueChangeListeners, isCanCopy, isChanged, isEnabledOnEdit, isEnabledOnInsert, isRequired, removeValueChangedListener, requestFocus, setAttributeName, setCanCopy, setChanged, setEnabledOnEdit, setEnabledOnInsert, setFont, setLinkLabel, setRequired, setTextAlignment, setToolTipText`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.openswing.swing.client.InputControl
`addFocusListener, addValueChangedListener, getAttributeName, getLinkLabel, getValueChangeListeners, isCanCopy, isChanged, isEnabledOnEdit, isEnabledOnInsert, isRequired, removeFocusListener, removeValueChangedListener, setAttributeName, setCanCopy, setChanged, setEnabledOnEdit, setEnabledOnInsert, setLinkLabel`

Field Detail

### showPreview

    public static boolean showPreview

  flag used to show the preview of the image in ImageControl and Image Column components; default value: `ClientSettings.SHOW_PREVIEW_OF_IMAGE`

Constructor Detail

### ImageControl

    public ImageControl()

Method Detail

### isShowButton

    public final boolean isShowButton()

  Returns:
    define if an image selection button must be showed

### setShowButton

    public final void setShowButton(boolean showButton)

  Define if an image selection button must be showed.

  Parameters:
    `showButton` - define if an image selection button must be showed

### getImageWidth

    public final int getImageWidth()

  Returns:
    image panel width

### setImageWidth

    public final void setImageWidth(int imageWidth)

  Set image panel width.

### getImageHeight

    public final int getImageHeight()

  Returns:
    image panel height

### setImageHeight

    public final void setImageHeight(int imageHeight)

  Set image panel height.

### setAutoResize

    public final void setAutoResize(boolean autoResize)

  Define if the image panel could auto-resize or it must autosize to width x height.

  Parameters:
    `autoResize` - `true` if width and height must be ignored and image panel could autoresize; `false` to fix the dimension at width x height values (if they are not equal to 0)

### isAutoResize

    public final boolean isAutoResize()

  Returns:
    define if the image panel could auto-resize or it must autosize to width x height

### getBindingComponent

    public final javax.swing.JComponent getBindingComponent()

  Overrides:
    `getBindingComponent` in class `BaseInputControl`
  Returns:
    component inside this whose contains the value

### getFileFilter

    public final javax.swing.filechooser.FileFilter getFileFilter()

  Returns:
    file filter used to filter image file selection from select button

### setFileFilter

    public final void setFileFilter(javax.swing.filechooser.FileFilter fileFilter)

  Set the file filter used to filter image file selection from select button. Default value: jpg and gif files only.

  Parameters:
    `fileFilter` - file filter used to filter image file selection from select button

### getValue

    public final java.lang.Object getValue()

  Specified by:
    `getValue` in interface `InputControl`
  Overrides:
    `getValue` in class `BaseInputControl`
  Returns:
    byte[] related to the image currentlt showed

### setValue

    public final void setValue(java.lang.Object value)

  Description copied from interface: `InputControl`
  Set value to the input control.

  Specified by:
    `setValue` in interface `InputControl`
  Overrides:
    `setValue` in class `BaseInputControl`
  Parameters:
    `value` - number to set

### getImage

    public final byte[] getImage()

  Set the image from a byte[].

### setImage

    public final void setImage(byte[] image)

  Set the image from a byte[].

  Parameters:
    `image` - image to set

### setImage

    public final void setImage(java.awt.Image image)

  Set the image from a byte[].

  Parameters:
    `image` - image to set

### setEnabled

    public void setEnabled(boolean enabled)

  Replace enabled setting with editable setting (this allow tab swithing).

  Specified by:
    `setEnabled` in interface `InputControl`
  Overrides:
    `setEnabled` in class `BaseInputControl`
  Parameters:
    `enabled` - flag used to set abilitation of control

### isEnabled

    public final boolean isEnabled()

  Specified by:
    `isEnabled` in interface `InputControl`
  Overrides:
    `isEnabled` in class `BaseInputControl`
  Returns:
    current input control abilitation

### addActionListener

    public final void addActionListener(java.awt.event.ActionListener listener)

  Add an action listener to the selection button. When the user has selected an image from file system the actionPerfomed method is invoked; the command value contains the image file name.

  Parameters:
    `listener` - listener to add

### removeActionListener

    public final void removeActionListener(java.awt.event.ActionListener listener)

  Remove an action listener from the selection button.

  Parameters:
    `listener` - listener to remove

### setScrollBarsPolicy

    public final void setScrollBarsPolicy(int policy)

  Determines when the scrollbars appears in the scrollpane. Legal values are:
  - SCROLLBAR_AS_NEEDED
  - SCROLLBAR_NEVER
  - SCROLLBAR_ALWAYS

### getScrollBarsPolicy

    public final int getScrollBarsPolicy()

  Returns:
    scrollbars policy; possible values: ImagePanel.SCROLLBAR_AS_NEEDED, ImagePanel.SCROLLBAR_NEVER, ImagePanel.SCROLLBAR_ALWAYS

### isShowPreview

    public final boolean isShowPreview()

  Returns:
    show the preview of the image in ImageControl and Image Column components; default value: `ClientSettings.SHOW_PREVIEW_OF_IMAGE`

### setShowPreview

    public final void setShowPreview(boolean showPreview)

  Define if showing the preview of the image in ImageControl and Image Column components; default value: `ClientSettings.SHOW_PREVIEW_OF_IMAGE`

  Parameters:
    `showPreview` - show/hide the preview of the image in ImageControl and Image Column components

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD